def fetch_xlsx(uri):
    import io, openpyxl, urllib.request

    data = urllib.request.urlopen(uri).read()
    wb   = openpyxl.load_workbook(io.BytesIO(data), data_only=True)
    ws   = wb.active

    yield ling.TableHeader([chr(65 + i) for i in range(ws.max_column)])

    for row in ws.iter_rows(values_only=True):
        yield row

def valentina_extension_init(db):
    valentina.create_procedure('fetch_xlsx', fetch_xlsx)
